OpenVDB 13.0.0

Loading...
Searching...
No Matches
Mask< LOG2DIM >::DenseIterator Class Reference

`#include <nanovdb/NanoVDB.h>`

Inheritance diagram for Mask< LOG2DIM >::DenseIterator:

## Public Member Functions
__hostdev__ | DenseIterator (uint32_t pos=Mask::SIZE)
DenseIterator & | operator= (const DenseIterator &)=default
__hostdev__ uint32_t | operator* () const
__hostdev__ uint32_t | pos () const
__hostdev__ | operator bool () const
__hostdev__ DenseIterator & | operator++ ()
__hostdev__ DenseIterator | operator++ (int)

## Constructor & Destructor Documentation

## ◆ DenseIterator()

template<uint32_t LOG2DIM>

__hostdev__ DenseIterator | ( | uint32_t | pos = Mask::SIZE | ) |
| inline

## Member Function Documentation

## ◆ operator bool()

template<uint32_t LOG2DIM>

__hostdev__ operator bool | ( |  | ) | const
| inline

## ◆ operator*()

template<uint32_t LOG2DIM>

__hostdev__ uint32_t operator* | ( |  | ) | const
| inline

## ◆ operator++() [1/2]

template<uint32_t LOG2DIM>

__hostdev__ DenseIterator & operator++ | ( |  | ) |
| inline

## ◆ operator++() [2/2]

template<uint32_t LOG2DIM>

__hostdev__ DenseIterator operator++ | ( | int |  | ) |
| inline

## ◆ operator=()

template<uint32_t LOG2DIM>

DenseIterator & operator= | ( | const DenseIterator & |  | ) |
| default

## ◆ pos()

template<uint32_t LOG2DIM>

__hostdev__ uint32_t pos | ( |  | ) | const
| inline